/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package View;

/**
 *
 * @author raymo
 */
public class PanelInfo extends javax.swing.JPanel {

    /**
     * Creates new form PanelInfo
     */
    public PanelInfo() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        txtUsername = new javax.swing.JTextField();
        txtName1 = new javax.swing.JTextField();
        txtPhonenumber = new javax.swing.JTextField();
        txtTypeLogin = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();

        setMaximumSize(new java.awt.Dimension(300, 350));
        setMinimumSize(new java.awt.Dimension(300, 350));
        setOpaque(false);
        setPreferredSize(new java.awt.Dimension(300, 350));
        setLayout(null);

        jLabel1.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(255, 255, 255));
        jLabel1.setText("Họ và tên :");
        add(jLabel1);
        jLabel1.setBounds(12, 23, 126, 17);

        jLabel3.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(255, 255, 255));
        jLabel3.setText("Số điện thoại liên hệ: ");
        add(jLabel3);
        jLabel3.setBounds(12, 71, 120, 17);

        jLabel4.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        jLabel4.setForeground(new java.awt.Color(255, 255, 255));
        jLabel4.setText("Loại tài khoản: ");
        add(jLabel4);
        jLabel4.setBounds(12, 119, 126, 17);

        jLabel5.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        jLabel5.setForeground(new java.awt.Color(255, 255, 255));
        jLabel5.setText("Tên đăng nhập: ");
        add(jLabel5);
        jLabel5.setBounds(12, 167, 91, 17);

        jLabel6.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        jLabel6.setForeground(new java.awt.Color(255, 255, 255));
        jLabel6.setText("Địa chỉ :");
        add(jLabel6);
        jLabel6.setBounds(12, 209, 47, 17);

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-before-compose-25.png"))); // NOI18N
        jLabel7.setText("Edit");
        add(jLabel7);
        jLabel7.setBounds(168, 312, 50, 25);

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-upload-to-cloud-25.png"))); // NOI18N
        jLabel8.setText("Submit");
        jLabel8.setEnabled(false);
        add(jLabel8);
        jLabel8.setBounds(55, 312, 69, 25);

        txtUsername.setEditable(false);
        txtUsername.setBackground(new java.awt.Color(71, 120, 197));
        txtUsername.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        txtUsername.setForeground(new java.awt.Color(255, 255, 255));
        txtUsername.setText("DAO Username");
        txtUsername.setToolTipText("Điền vào username");
        txtUsername.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 2, 0, new java.awt.Color(204, 204, 255)));
        txtUsername.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));
        txtUsername.setOpaque(false);
        txtUsername.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtUsernameActionPerformed(evt);
            }
        });
        add(txtUsername);
        txtUsername.setBounds(150, 160, 140, 30);

        txtName1.setEditable(false);
        txtName1.setBackground(new java.awt.Color(71, 120, 197));
        txtName1.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        txtName1.setForeground(new java.awt.Color(255, 255, 255));
        txtName1.setText("DAO Name");
        txtName1.setToolTipText("Điền vào username");
        txtName1.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 2, 0, new java.awt.Color(204, 204, 255)));
        txtName1.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));
        txtName1.setOpaque(false);
        txtName1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtName1ActionPerformed(evt);
            }
        });
        add(txtName1);
        txtName1.setBounds(150, 10, 140, 30);

        txtPhonenumber.setEditable(false);
        txtPhonenumber.setBackground(new java.awt.Color(71, 120, 197));
        txtPhonenumber.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        txtPhonenumber.setForeground(new java.awt.Color(255, 255, 255));
        txtPhonenumber.setText("DAO Phone number");
        txtPhonenumber.setToolTipText("Điền vào username");
        txtPhonenumber.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 2, 0, new java.awt.Color(204, 204, 255)));
        txtPhonenumber.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));
        txtPhonenumber.setOpaque(false);
        txtPhonenumber.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtPhonenumberActionPerformed(evt);
            }
        });
        add(txtPhonenumber);
        txtPhonenumber.setBounds(150, 60, 140, 30);

        txtTypeLogin.setEditable(false);
        txtTypeLogin.setBackground(new java.awt.Color(71, 120, 197));
        txtTypeLogin.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        txtTypeLogin.setForeground(new java.awt.Color(255, 255, 255));
        txtTypeLogin.setText("DAO type login");
        txtTypeLogin.setToolTipText("Điền vào username");
        txtTypeLogin.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 2, 0, new java.awt.Color(204, 204, 255)));
        txtTypeLogin.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));
        txtTypeLogin.setOpaque(false);
        txtTypeLogin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtTypeLoginActionPerformed(evt);
            }
        });
        add(txtTypeLogin);
        txtTypeLogin.setBounds(150, 110, 140, 30);

        jTextArea1.setEditable(false);
        jTextArea1.setBackground(new java.awt.Color(71, 120, 197));
        jTextArea1.setColumns(20);
        jTextArea1.setFont(new java.awt.Font("Times New Roman", 0, 14)); // NOI18N
        jTextArea1.setForeground(new java.awt.Color(255, 255, 255));
        jTextArea1.setRows(5);
        jScrollPane1.setViewportView(jTextArea1);

        add(jScrollPane1);
        jScrollPane1.setBounds(120, 200, 170, 90);
    }// </editor-fold>//GEN-END:initComponents

    private void txtUsernameActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtUsernameActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtUsernameActionPerformed

    private void txtName1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtName1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtName1ActionPerformed

    private void txtPhonenumberActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtPhonenumberActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtPhonenumberActionPerformed

    private void txtTypeLoginActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtTypeLoginActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtTypeLoginActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JTextField txtName1;
    private javax.swing.JTextField txtPhonenumber;
    private javax.swing.JTextField txtTypeLogin;
    private javax.swing.JTextField txtUsername;
    // End of variables declaration//GEN-END:variables
}
